View Issue Details

IDProjectCategoryView StatusLast Update
14599Bug reports[All Projects] _ Unknownpublic2019-04-30 09:11
Reporterrealitix Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.16.x 
Summary14599: Evaluation crash if no group exists
Description

Hello,

When you try to generate evaluation on an empty survey, you get a PHP crash.

I'm sending the pull request.

Steps To Reproduce
  1. Create a new survey (keep it empty)
  2. Click on evaluation
  3. Enable evaluation

PHP crash!

TagsNo tags attached.
Complete LimeSurvey version number (& build)master 3.15.9
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version0
Server OS (if known)
Webserver software & version (if known)
PHP Version0

Issue History

Date Modified Username Field Change
2019-03-05 11:00 realitix New Issue
2019-03-06 10:10 dominikvitt Assigned To => dominikvitt
2019-03-06 10:10 dominikvitt Status new => resolved
2019-03-06 10:10 dominikvitt Resolution open => fixed
2019-03-06 10:10 dominikvitt Fixed in Version => 3.16.x
2019-03-06 10:10 dominikvitt Note Added: 50788
2019-04-30 09:11 c_schmitz Status resolved => closed